Bug 148808 - [patch] Mk/bsd.licenses.mk: fix filename collisions
Summary: [patch] Mk/bsd.licenses.mk: fix filename collisions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-21 07:30 UTC by swell.k
Modified: 2010-09-28 08:40 UTC (History)
0 users

See Also:


Attachments
a.diff (1.26 KB, patch)
2010-07-21 07:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-07-21 07:30:02 UTC
We shouldn't trust vendor that their license filename is unique and will
not cause collisions for different licenses as well as for _LICENSE_REPORT.
The patch also makes it clear what license file belongs to what license
in an installed package, e.g. MIT, BSD, GPLv2, etc.

A rough list of ports that already overwrite _LICENSE_REPORT by LICENSE_FILE,
may do so when license framework is used or worked around by renaming:

  $ ( cd ${PORTSDIR-/usr/ports} && \
      find . -type f -name Makefile\* -exec \
      egrep -H 'WRK(DIR|SRC).*LICENSE([[:space:]]|$)' {} + |
      sed 's|^\./||; s|/Makefile.*||' )
Comment 1 Pav Lucistnik freebsd_committer 2010-08-14 18:34:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Infrastructure, over to portmgr
Comment 2 Erwin Lansing freebsd_committer 2010-09-23 08:45:47 UTC
State Changed
From-To: open->analyzed

Take for -exp run.
Comment 3 dfilter service freebsd_committer 2010-09-28 08:35:49 UTC
erwin       2010-09-28 07:35:44 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.licenses.mk 
  Log:
  We shouldn't trust vendor that their license filename is unique and will
  not cause collisions for different licenses as well as for _LICENSE_REPORT.
  The patch also makes it clear what license file belongs to what license
  in an installed package.
  
  PR:             148808
  Submitted by:   Anonymous <swell.k@gmail.com>
  Tested on:      pointyhat
  
  Revision  Changes    Path
  1.4       +5 -5      ports/Mk/bsd.licenses.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Erwin Lansing freebsd_committer 2010-09-28 08:36:05 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!